// ======================================================================
//
// MenuRectangle.h
// jeff grills
//
// copyright 1997 origin systems inc
//
// ======================================================================

#ifndef MENU_RECTANGLE_H
#define MENU_RECTANGLE_H

// ======================================================================

class StaticMaterial;
#include "MenuElement.h"

// ======================================================================

class MenuRectangle : public MenuElement
{
protected:

	const StaticMaterial *color;
	bool                  filled;

private:

	MenuRectangle(void);
	MenuRectangle(const MenuRectangle &);
	MenuRectangle &operator =(const MenuRectangle &);

public:

	MenuRectangle(MenuElement *parent, int maxWidth, int maxHeight, Iff *iff=NULL);
	virtual ~MenuRectangle(void);

	void load(Iff *iff);

	virtual void     menuDraw(int x, int y) const;
};

// ======================================================================

#endif
